/*************************************************************************\
* Copyright (c) 2002 The University of Chicago, as Operator of Argonne
* National Laboratory.
* Copyright (c) 2002 The Regents of the University of California, as
* Operator of Los Alamos National Laboratory.
* This file is distributed subject to a Software License Agreement found
* in the file LICENSE that is included with this distribution. 
\*************************************************************************/
#ifndef INC_ezsSockSubr_h
#define INC_ezsSockSubr_h
/*	ezsSockSubr.h,v 1.2 2002/08/02 15:37:55 jba Exp
 *	Author:	Roger A. Cole
 *	Date:	11/23/90
 *
 */
/*+/mod***********************************************************************
* TITLE	ezsSockSubr.h - definitions for using the easy socket routines
*
* DESCRIPTION
*
*-***************************************************************************/

/*-----------------------------------------------------------------------------
* prototypes
*----------------------------------------------------------------------------*/
int ezsCheckFdRead();
int ezsCheckFpRead();
int ezsConnectToServer();
int ezsCreateListenSocket();
int ezsFopenToFd();
int ezsFreopenToFd();
int ezsListenExclusiveUse();
void ezsSleep();

#endif
